Index: /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icblbc.F90
===================================================================
--- /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icblbc.F90	(revision 3358)
+++ /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icblbc.F90	(revision 3359)
@@ -514,33 +514,33 @@
       IF( nn_verbose_level > 0 ) THEN
          ! compare the number of icebergs on this processor from the start to the end
-         nbergs_end = count_bergs()
-         i = ( nbergs_rcvd_from_n + nbergs_rcvd_from_s + nbergs_rcvd_from_e + nbergs_rcvd_from_w ) - &
-             ( nbergs_to_send_n + nbergs_to_send_s + nbergs_to_send_e + nbergs_to_send_w )
-         IF( nbergs_end-(nbergs_start+i) .NE. 0 ) THEN
+         ibergs_end = count_bergs()
+         i = ( ibergs_rcvd_from_n + ibergs_rcvd_from_s + ibergs_rcvd_from_e + ibergs_rcvd_from_w ) - &
+             ( ibergs_to_send_n + ibergs_to_send_s + ibergs_to_send_e + ibergs_to_send_w )
+         IF( ibergs_end-(ibergs_start+i) .NE. 0 ) THEN
             WRITE( numicb,*   ) 'send_bergs_to_other_pes: net change in number of icebergs'
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_end=', &
-                                nbergs_end,' on PE',narea
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_start=', &
-                                nbergs_start,' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_end=', &
+                                ibergs_end,' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_start=', &
+                                ibergs_start,' on PE',narea
             WRITE( numicb,1000) 'send_bergs_to_other_pes: delta=', &
                                 i,' on PE',narea
             WRITE( numicb,1000) 'send_bergs_to_other_pes: error=', &
-                                nbergs_end-(nbergs_start+i),' on PE',narea
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_to_send_n=', &
-                                nbergs_to_send_n,' on PE',narea
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_to_send_s=', &
-                                nbergs_to_send_s,' on PE',narea
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_to_send_e=', &
-                                nbergs_to_send_e,' on PE',narea
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_to_send_w=', &
-                                nbergs_to_send_w,' on PE',narea
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_rcvd_from_n=', &
-                                nbergs_rcvd_from_n,' on PE',narea
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_rcvd_from_s=', &
-                                nbergs_rcvd_from_s,' on PE',narea
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_rcvd_from_e=', &
-                                nbergs_rcvd_from_e,' on PE',narea
-            WRITE( numicb,1000) 'send_bergs_to_other_pes: nbergs_rcvd_from_w=', &
-                                nbergs_rcvd_from_w,' on PE',narea
+                                ibergs_end-(ibergs_start+i),' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_to_send_n=', &
+                                ibergs_to_send_n,' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_to_send_s=', &
+                                ibergs_to_send_s,' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_to_send_e=', &
+                                ibergs_to_send_e,' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_to_send_w=', &
+                                ibergs_to_send_w,' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_rcvd_from_n=', &
+                                ibergs_rcvd_from_n,' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_rcvd_from_s=', &
+                                ibergs_rcvd_from_s,' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_rcvd_from_e=', &
+                                ibergs_rcvd_from_e,' on PE',narea
+            WRITE( numicb,1000) 'send_bergs_to_other_pes: ibergs_rcvd_from_w=', &
+                                ibergs_rcvd_from_w,' on PE',narea
   1000      FORMAT(a,i5,a,i4)
             CALL ctl_stop('send_bergs_to_other_pes: lost or gained an iceberg or two')
@@ -557,15 +557,15 @@
          DO WHILE (ASSOCIATED(this))
             pt => this%current_point
-            ine = INT( pt%xi + 0.5 )
-            jne = INT( pt%yj + 0.5 )
+            iine = INT( pt%xi + 0.5 )
+            ijne = INT( pt%yj + 0.5 )
 !           CALL check_position(grd, this, 'exchange (bot)')
-            IF( ine .LT. nimpp+icbdi-1 .OR. &
-                ine .GT. nimpp+icbei-1 .OR. &
-                jne .LT. njmpp+icbdj-1 .OR. &
-                jne .GT. njmpp+icbej-1) THEN
+            IF( iine .LT. nimpp+nicbdi-1 .OR. &
+                iine .GT. nimpp+nicbei-1 .OR. &
+                ijne .LT. njmpp+nicbdj-1 .OR. &
+                ijne .GT. njmpp+nicbej-1) THEN
                i = i + 1
-               WRITE(numicb,*) 'berg lost in halo: ', this%number(:),ine,jne
+               WRITE(numicb,*) 'berg lost in halo: ', this%number(:),iine,ijne
                WRITE(numicb,*) '                   ', nimpp, njmpp
-               WRITE(numicb,*) '                   ', icbdi, icbei, icbdj, icbej
+               WRITE(numicb,*) '                   ', nicbdi, nicbei, nicbdj, nicbej
                CALL flush( numicb )
             ENDIF
@@ -590,27 +590,27 @@
       TYPE(iceberg)         , POINTER     :: tmpberg, this
       TYPE(point)           , POINTER     :: pt
-      INTEGER                             :: nbergs_to_send
-      INTEGER                             :: nbergs_to_rcv
-      INTEGER                             :: jiglo, jjglo, jk, jn
-      INTEGER                             :: jfldproc, kproc, kpts
-      INTEGER                             :: ine, jne
-      REAL(wp), DIMENSION(2)              :: sbergs, nbergs
-      INTEGER                             :: ml_req1, ml_req2, ml_err
-      INTEGER, DIMENSION(MPI_STATUS_SIZE) :: ml_stat
+      INTEGER                             :: ibergs_to_send
+      INTEGER                             :: ibergs_to_rcv
+      INTEGER                             :: iiglo, ijglo, jk, jn
+      INTEGER                             :: ifldproc, iproc, ipts
+      INTEGER                             :: iine, ijne
+      REAL(wp), DIMENSION(2)              :: zsbergs, znbergs
+      INTEGER                             :: iml_req1, iml_req2, iml_err
+      INTEGER, DIMENSION(MPI_STATUS_SIZE) :: iml_stat
 
       ! set up indices of neighbouring processors
 
-      ! icbfldproc is a list of unique processor numbers that this processor
+      ! nicbfldproc is a list of unique processor numbers that this processor
       ! exchanges with (including itself), so we loop over this array; since
       ! its of fixed size, the first -1 marks end of list of processors
       !
       DO jn = 1, jpni
-         IF( icbfldproc(jn) == -1 ) EXIT
-         jfldproc = icbfldproc(jn)
-         nbergs_to_send = 0
+         IF( nicbfldproc(jn) == -1 ) EXIT
+         ifldproc = nicbfldproc(jn)
+         ibergs_to_send = 0
 
          ! Find number of bergs that need to be exchanged
-         ! Pick out exchanges with processor jfldproc
-         ! if jfldproc is this processor then don't send
+         ! Pick out exchanges with processor ifldproc
+         ! if ifldproc is this processor then don't send
          !
          IF( ASSOCIATED(first_berg) ) THEN
@@ -618,29 +618,29 @@
             DO WHILE (ASSOCIATED(this))
                pt => this%current_point
-               ine = INT( pt%xi + 0.5 )
-               jne = INT( pt%yj + 0.5 )
-               kpts  = icbfldpts (ine-nimpp+1)
-               kproc = icbflddest(ine-nimpp+1)
-               IF( jne .GT. njmpp+icbej-1 ) THEN
-                  IF( kproc == jfldproc ) THEN
+               iine = INT( pt%xi + 0.5 )
+               ijne = INT( pt%yj + 0.5 )
+               ipts  = nicbfldpts (iine-nimpp+1)
+               iproc = nicbflddest(iine-nimpp+1)
+               IF( ijne .GT. njmpp+nicbej-1 ) THEN
+                  IF( iproc == ifldproc ) THEN
                      !
                      ! moving across the cut line means both position and
                      ! velocity must change
-                     jjglo = INT( kpts/icbpack )
-                     jiglo = kpts - icbpack*jjglo
-                     pt%xi = jiglo - ( pt%xi - REAL(ine,wp) )
-                     pt%yj = jjglo - ( pt%yj - REAL(jne,wp) )
+                     ijglo = INT( ipts/nicbpack )
+                     iiglo = ipts - nicbpack*ijglo
+                     pt%xi = iiglo - ( pt%xi - REAL(iine,wp) )
+                     pt%yj = ijglo - ( pt%yj - REAL(ijne,wp) )
                      pt%uvel = -1._wp * pt%uvel
                      pt%vvel = -1._wp * pt%vvel
                      !
                      ! now remove berg from list and pack it into a buffer
-                     IF( kproc /= narea ) THEN
+                     IF( iproc /= narea ) THEN
                         tmpberg => this
-                        nbergs_to_send = nbergs_to_send + 1
+                        ibergs_to_send = ibergs_to_send + 1
                         IF( nn_verbose_level >= 4 ) THEN
-                           WRITE(numicb,*) 'bergstep ',ktberg,' packing berg ',tmpberg%number(:),' for north fold'
+                           WRITE(numicb,*) 'bergstep ',nktberg,' packing berg ',tmpberg%number(:),' for north fold'
                            CALL flush( numicb )
                         ENDIF
-                        CALL pack_berg_into_buffer( tmpberg, obuffer_f, nbergs_to_send)
+                        CALL pack_berg_into_buffer( tmpberg, obuffer_f, ibergs_to_send)
                         CALL delete_iceberg_from_list(first_berg, tmpberg)
                      ENDIF
@@ -652,5 +652,5 @@
          ENDIF
          if( nn_verbose_level >= 3) then
-            write(numicb,*) 'bergstep ',ktberg,' send nfld: ', nbergs_to_send
+            write(numicb,*) 'bergstep ',nktberg,' send nfld: ', ibergs_to_send
             call flush(numicb)
          endif
@@ -658,24 +658,24 @@
          ! if we're in this processor, then we've done everything we need to
          ! so go on to next element of loop
-         IF( jfldproc == narea ) CYCLE
-
-         sbergs(1) = nbergs_to_send
-         CALL mppsend( 21, sbergs(1), 1, jfldproc-1, ml_req1)
-         CALL mpprecv( 21, nbergs(2), 1 )
-         IF( l_isend ) CALL mpi_wait( ml_req1, ml_stat, ml_err )
-         nbergs_to_rcv = INT( nbergs(2) )
+         IF( ifldproc == narea ) CYCLE
+
+         zsbergs(1) = ibergs_to_send
+         CALL mppsend( 21, zsbergs(1), 1, ifldproc-1, iml_req1)
+         CALL mpprecv( 21, znbergs(2), 1 )
+         IF( l_isend ) CALL mpi_wait( iml_req1, iml_stat, iml_err )
+         ibergs_to_rcv = INT( znbergs(2) )
 
          ! send bergs
 
-         IF( nbergs_to_send > 0 )  &
-             CALL mppsend( 12, obuffer_f%data, nbergs_to_send*buffer_width, jfldproc-1, ml_req2 )
-         IF( nbergs_to_rcv  > 0 ) THEN
-            CALL increase_ibuffer(ibuffer_f, nbergs_to_rcv)
-            CALL mpprecv( 12, ibuffer_f%data, nbergs_to_rcv*buffer_width )
-         ENDIF
-         IF( nbergs_to_send > 0 .AND. l_isend ) CALL mpi_wait( ml_req2, ml_stat, ml_err )
-         DO jk = 1, nbergs_to_rcv
+         IF( ibergs_to_send > 0 )  &
+             CALL mppsend( 12, obuffer_f%data, ibergs_to_send*pp_buffer_width, ifldproc-1, iml_req2 )
+         IF( ibergs_to_rcv  > 0 ) THEN
+            CALL increase_ibuffer(ibuffer_f, ibergs_to_rcv)
+            CALL mpprecv( 12, ibuffer_f%data, ibergs_to_rcv*pp_buffer_width )
+         ENDIF
+         IF( ibergs_to_send > 0 .AND. l_isend ) CALL mpi_wait( iml_req2, iml_stat, iml_err )
+         DO jk = 1, ibergs_to_rcv
             IF( nn_verbose_level >= 4 ) THEN
-               WRITE(numicb,*) 'bergstep ',ktberg,' unpacking berg ',INT(ibuffer_f%data(16,jk)),' from north fold'
+               WRITE(numicb,*) 'bergstep ',nktberg,' unpacking berg ',INT(ibuffer_f%data(16,jk)),' from north fold'
                CALL flush( numicb )
             ENDIF
@@ -704,11 +704,11 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE dealloc_buffer(buff)
+   SUBROUTINE dealloc_buffer(pbuff)
       ! Arguments
-      TYPE(buffer), POINTER :: buff
-
-      IF( ASSOCIATED(buff) ) THEN
-         IF( ASSOCIATED(buff%data)) DEALLOCATE(buff%data)
-         DEALLOCATE(buff)
+      TYPE(buffer), POINTER :: pbuff
+
+      IF( ASSOCIATED(pbuff) ) THEN
+         IF( ASSOCIATED(pbuff%data)) DEALLOCATE(pbuff%data)
+         DEALLOCATE(pbuff)
       ENDIF
    END SUBROUTINE dealloc_buffer
@@ -716,35 +716,35 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE pack_berg_into_buffer(berg, buff, n)
+   SUBROUTINE pack_berg_into_buffer(berg, pbuff, kb)
       ! Arguments
       TYPE(iceberg),            POINTER :: berg
-      TYPE(buffer) ,            POINTER :: buff
-      INTEGER      , INTENT(in)         :: n
+      TYPE(buffer) ,            POINTER :: pbuff
+      INTEGER      , INTENT(in)         :: kb
       ! Local
       INTEGER                           :: k
 
-      IF( .NOT. ASSOCIATED(buff) ) CALL increase_buffer( buff, delta_buf )
-      IF( n .GT. buff%size ) CALL increase_buffer( buff, delta_buf )
+      IF( .NOT. ASSOCIATED(pbuff) ) CALL increase_buffer( pbuff, pp_delta_buf )
+      IF( kb .GT. pbuff%size ) CALL increase_buffer( pbuff, pp_delta_buf )
 
       !! pack points into buffer
 
-      buff%data( 1,n) = berg%current_point%lon
-      buff%data( 2,n) = berg%current_point%lat
-      buff%data( 3,n) = berg%current_point%uvel
-      buff%data( 4,n) = berg%current_point%vvel
-      buff%data( 5,n) = berg%current_point%xi
-      buff%data( 6,n) = berg%current_point%yj
-      buff%data( 7,n) = float(berg%current_point%year)
-      buff%data( 8,n) = berg%current_point%day
-      buff%data( 9,n) = berg%current_point%mass
-      buff%data(10,n) = berg%current_point%thickness
-      buff%data(11,n) = berg%current_point%width
-      buff%data(12,n) = berg%current_point%length
-      buff%data(13,n) = berg%current_point%mass_of_bits
-      buff%data(14,n) = berg%current_point%heat_density
-
-      buff%data(15,n) = berg%mass_scaling
+      pbuff%data( 1,kb) = berg%current_point%lon
+      pbuff%data( 2,kb) = berg%current_point%lat
+      pbuff%data( 3,kb) = berg%current_point%uvel
+      pbuff%data( 4,kb) = berg%current_point%vvel
+      pbuff%data( 5,kb) = berg%current_point%xi
+      pbuff%data( 6,kb) = berg%current_point%yj
+      pbuff%data( 7,kb) = float(berg%current_point%year)
+      pbuff%data( 8,kb) = berg%current_point%day
+      pbuff%data( 9,kb) = berg%current_point%mass
+      pbuff%data(10,kb) = berg%current_point%thickness
+      pbuff%data(11,kb) = berg%current_point%width
+      pbuff%data(12,kb) = berg%current_point%length
+      pbuff%data(13,kb) = berg%current_point%mass_of_bits
+      pbuff%data(14,kb) = berg%current_point%heat_density
+
+      pbuff%data(15,kb) = berg%mass_scaling
       DO k=1,nkounts
-         buff%data(15+k,n) = REAL( berg%number(k), wp )
+         pbuff%data(15+k,kb) = REAL( berg%number(k), wp )
       END DO
 
@@ -753,33 +753,32 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE unpack_berg_from_buffer(first, buff, n)
+   SUBROUTINE unpack_berg_from_buffer(first, pbuff, kb)
       ! Arguments
       TYPE(iceberg),             POINTER :: first
-      TYPE(buffer) ,             POINTER :: buff
-      INTEGER      , INTENT(in)          :: n
+      TYPE(buffer) ,             POINTER :: pbuff
+      INTEGER      , INTENT(in)          :: kb
       ! Local variables
-      LOGICAL                            :: lres
       TYPE(iceberg)                      :: currentberg
       TYPE(point)                        :: pt
-      INTEGER                           :: k
-
-      pt%lon            =      buff%data( 1,n)
-      pt%lat            =      buff%data( 2,n)
-      pt%uvel           =      buff%data( 3,n)
-      pt%vvel           =      buff%data( 4,n)
-      pt%xi             =      buff%data( 5,n)
-      pt%yj             =      buff%data( 6,n)
-      pt%year           = INT( buff%data( 7,n) )
-      pt%day            =      buff%data( 8,n)
-      pt%mass           =      buff%data( 9,n)
-      pt%thickness      =      buff%data(10,n)
-      pt%width          =      buff%data(11,n)
-      pt%length         =      buff%data(12,n)
-      pt%mass_of_bits   =      buff%data(13,n)
-      pt%heat_density   =      buff%data(14,n)
-
-      currentberg%mass_scaling =      buff%data(15,n)
-      DO k=1,nkounts
-         currentberg%number(k) = INT( buff%data(15+k,n) )
+      INTEGER                            :: ik
+
+      pt%lon            =      pbuff%data( 1,kb)
+      pt%lat            =      pbuff%data( 2,kb)
+      pt%uvel           =      pbuff%data( 3,kb)
+      pt%vvel           =      pbuff%data( 4,kb)
+      pt%xi             =      pbuff%data( 5,kb)
+      pt%yj             =      pbuff%data( 6,kb)
+      pt%year           = INT( pbuff%data( 7,kb) )
+      pt%day            =      pbuff%data( 8,kb)
+      pt%mass           =      pbuff%data( 9,kb)
+      pt%thickness      =      pbuff%data(10,kb)
+      pt%width          =      pbuff%data(11,kb)
+      pt%length         =      pbuff%data(12,kb)
+      pt%mass_of_bits   =      pbuff%data(13,kb)
+      pt%heat_density   =      pbuff%data(14,kb)
+
+      currentberg%mass_scaling =      pbuff%data(15,kb)
+      DO ik=1,nkounts
+         currentberg%number(ik) = INT( pbuff%data(15+ik,kb) )
       END DO
 
@@ -790,20 +789,20 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE increase_buffer(old,delta)
+   SUBROUTINE increase_buffer(old,kdelta)
       ! Arguments
       TYPE(buffer),             POINTER :: old
-      INTEGER     , INTENT(in)          :: delta
+      INTEGER     , INTENT(in)          :: kdelta
       ! Local variables
       TYPE(buffer),             POINTER :: new
-      INTEGER                           :: new_size
+      INTEGER                           :: inew_size
 
       IF( .NOT. ASSOCIATED(old) ) THEN
-         new_size = delta
+         inew_size = kdelta
       ELSE
-         new_size = old%size + delta
+         inew_size = old%size + kdelta
       ENDIF
       ALLOCATE( new )
-      ALLOCATE( new%data( buffer_width, new_size) )
-      new%size = new_size
+      ALLOCATE( new%data( pp_buffer_width, inew_size) )
+      new%size = inew_size
       IF( ASSOCIATED(old) ) THEN
          new%data(:,1:old%size) = old%data(:,1:old%size)
@@ -817,28 +816,28 @@
    !!-------------------------------------------------------------------------
 
-   SUBROUTINE increase_ibuffer(old,delta)
+   SUBROUTINE increase_ibuffer(old,kdelta)
       ! Arguments
       TYPE(buffer),            POINTER :: old
-      INTEGER     , INTENT(in)         :: delta
+      INTEGER     , INTENT(in)         :: kdelta
       ! Local variables
       TYPE(buffer),            POINTER :: new
-      INTEGER                          :: new_size, old_size
+      INTEGER                          :: inew_size, iold_size
 
       IF( .NOT. ASSOCIATED(old) ) THEN
-         new_size = delta + delta_buf
-         old_size = 0
+         inew_size = kdelta + pp_delta_buf
+         iold_size = 0
       ELSE
-         old_size = old%size
-         IF( delta .LT. old%size ) THEN
-            new_size = old%size + delta
+         iold_size = old%size
+         IF( kdelta .LT. old%size ) THEN
+            inew_size = old%size + kdelta
          ELSE
-            new_size = delta + delta_buf
-         ENDIF
-      ENDIF
-
-      IF( old_size .NE. new_size ) THEN
+            inew_size = kdelta + pp_delta_buf
+         ENDIF
+      ENDIF
+
+      IF( iold_size .NE. inew_size ) THEN
          ALLOCATE( new )
-         ALLOCATE( new%data( buffer_width, new_size) )
-         new%size = new_size
+         ALLOCATE( new%data( pp_buffer_width, inew_size) )
+         new%size = inew_size
          IF( ASSOCIATED(old) ) THEN
             new%data(:,1:old%size) = old%data(:,1:old%size)
@@ -847,5 +846,5 @@
          ENDIF
          old => new
-        !WRITE( numicb,*) 'increase_ibuffer',narea,' increased to',new_size
+        !WRITE( numicb,*) 'increase_ibuffer',narea,' increased to',inew_size
       ENDIF
 
